## tzdata 2014b

=== debian/changelog ===
tzdata (2014b-1) unstable; urgency=medium

  * New upstream release.

 -- Adam Conrad <adconrad@0c3.net>  Wed, 02 Apr 2014 01:00:33 -0600

tzdata (2014a-1) unstable; urgency=medium

  [ Christian Perrier ]
  * Use umlaut in French translation of "Büsingen"

  [ Clint Adams ]
  * New upstream version.
    - New DST for Chile.  closes: #741265.

 -- Clint Adams <clint@debian.org>  Mon, 10 Mar 2014 10:54:28 -0400

=== debian/control ===
Source: tzdata
Section: libs
Priority: required
Build-Depends: debhelper (>= 5.0.0)
Build-Depends-Indep: po-debconf, default-jre-headless, rdfind, symlinks
Maintainer: GNU Libc Maintainers <debian-glibc@lists.debian.org>
Uploaders: Clint Adams <clint@debian.org>, Aurelien Jarno <aurel32@debian.org>, Adam Conrad <adconrad@0c3.net>
Standards-Version: 3.9.4
Homepage: http://www.iana.org/time-zones

Package: tzdata
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, debconf | debconf-2.0
Replaces: libc0.1, libc0.3, libc6, libc6.1
Provides: tzdata-jessie
Description: time zone and daylight-saving time data
 This package contains data required for the implementation of
 standard local time for many representative locations around the
 globe. It is updated periodically to reflect changes made by
 political bodies to time zone boundaries, UTC offsets, and
 daylight-saving rules.

Package: tzdata-java
Architecture: all
Section: java
Priority: optional
Multi-Arch: foreign
Depends: ${misc:Depends}, tzdata (= ${binary:Version})
Description: time zone and daylight-saving time data for use by java runtimes
 This package contains data required for the implementation of
 standard local time for many representative locations around the
 globe. It is updated periodically to reflect changes made by
 political bodies to time zone boundaries, UTC offsets, and
 daylight-saving rules.
 .
 This package contains the data for use by Java runtimes.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export LC_ALL=C

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

TZGEN := $(CURDIR)/tzgen
TZGEN_JAVA := $(CURDIR)/tzgen-java

VERSION := $(shell dpkg-parsechangelog | sed -e '/^Version/!d;s/^Version: //g;s/.*://g;s/-.*//g')
EMDEBIAN := $(shell dpkg-parsechangelog | egrep '^Version: .*em[0-9]+')

JHOME := /usr/lib/jvm/default-java/

TIMEZONES := africa \
             antarctica \
             asia \
             australasia \
             europe \
             northamerica \
             southamerica \
             etcetera \
             factory \
             backward \
             systemv \
	     pacificnew

TIMEZONES_JAVA := gmt \
                  jdk11_backward

TEMPLATES_FILE := $(CURDIR)/debian/tzdata.templates
TEMPLATES_AREAS := Africa \
                   America \
		   Antarctica \
		   Australia \
		   Arctic \
		   Asia \
		   Atlantic \
		   Europe \
		   Indian \
		   Pacific \
		   SystemV \
		   US \
		   Etc

build: build-arch build-indep
build-arch:

build-indep: build-indep-stamp
build-indep-stamp:
	dh_testdir

	# Build the "default" version
	for zone in $(TIMEZONES); do \
	  /usr/sbin/zic -d $(TZGEN) -L /dev/null -y yearistype.sh $${zone} ; \
	done
	
	# Build the "posix" and "right" versions
ifeq ($(EMDEBIAN),)
	for zone in $(TIMEZONES); do \
	  /usr/sbin/zic -d $(TZGEN)/posix -L /dev/null -y yearistype.sh $${zone} ; \
	  /usr/sbin/zic -d $(TZGEN)/right -L leapseconds -y $(TZGEN)/yearistype.sh $${zone} ; \
	done
endif

	# Generate a posixrules file
	/usr/sbin/zic -d $(TZGEN) -p America/New_York

	# Replace hardlinks by symlinks
	rdfind -outputname /dev/null -makesymlinks true -removeidentinode false $(TZGEN)
	symlinks -r -s -c $(TZGEN)

	# Generate a java version
	$(JHOME)/bin/java -jar $(JHOME)/jre/lib/javazic.jar -V $(VERSION) -d $(TZGEN_JAVA) $(TIMEZONES) $(TIMEZONES_JAVA)

	# Generate the templates file
	( echo "Template: tzdata/Areas" ; \
	echo "Type: select" ; \
	echo "# Note to translators:" ; \
	echo "# - \"Etc\" will present users with a list" ; \
	echo "#    of \"GMT+xx\" or \"GMT-xx\" timezones" ; \
	echo "# - SystemV will give the choice between zone named as per SystemV conventions:" ; \
	echo "#   EST5, MST7, etc." ; \
	echo -n "__Choices: " ; \
	echo "$(TEMPLATES_AREAS)" | sed -e 's# #, #g' -e 's#, $$##' ; \
	echo "_Description: Geographic area:" ; \
	echo " Please select the geographic area in which you live. Subsequent" ; \
	echo " configuration questions will narrow this down by presenting a list of" ; \
	echo " cities, representing the time zones in which they are located." ; \
	echo ; \
	for i in $(TEMPLATES_AREAS) ; do \
	    echo "Template: tzdata/Zones/$$i" ; \
	    echo "Type: select" ; \
	    echo "# Translators: do not translate underscores. You can use spaces instead." ; \
	    if [ "$$i" = "Etc" ] || [ "$$i" = "SystemV" ] ; then \
		    echo -n "Choices: " ; \
	    else \
		    echo -n "__Choices: " ; \
	    fi ; \
	    cd $(CURDIR)/tzgen/$$i ; \
	    find . -maxdepth 2 -type f -o -type l | sed -e 's#^\./##' | \
	    	egrep -v '^(Ashkhabad|Chungking|Dacca|Macao|Thimbu|Ulan_Bator|Faeroe|ACT|LHI|NSW|North|Queensland|South|Tasmania|Victoria|West|Argentina/ComodRivadavia|Buenos_Aires|Catamarca|Cordoba|Jujuy|Mendoza|Rosario|Louisville|Fort_Wayne|Indianapolis|Knox_IN|East-Indiana|East-Starke|Asmera|South_Pole|Saigon|Calcutta|Katmandu)$$' | \
		sort -n | tr '\n' ',' | sed -e 's#,#, #g' -e 's#, $$#\n#' ; \
	    echo "_Description: Time zone:" ; \
	    echo " Please select the city or region corresponding to your time zone." ; \
	    echo ; \
	done ) > $(TEMPLATES_FILE)
	debconf-updatepo
						
	touch $@

clean:
	dh_testdir
	dh_testroot
	-rm -rf $(TZGEN) $(TZGEN_JAVA)
	rm -f build-indep-stamp
	rm -f patch-log
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	# Do nothing

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdebconf
	dh_installdirs
	dh_install
	dh_installchangelogs
	dh_link
	dh_installdocs
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
ftp://ftp.iana.org/tz/releases/tzdata(\d\w+)\.tar\.gz   \
    debian uupdate

## tzdata 2014c

=== debian/changelog ===
tzdata (2014c-0ubuntu0.12.10) quantal; urgency=critical

  * New upstream release, critical urgency due to Egypt zone
    changes happening on May 15th, in two days (LP: #1319122)

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 13 May 2014 11:21:44 -0600

tzdata (2014a-0ubuntu0.12.10) quantal; urgency=medium

  * New upstream release, with updated Turkish DST (LP: #1290193)
  * Remove solar87, solar88, solar89, following upstream removal.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 13 Mar 2014 17:44:33 -0600

tzdata (2013g-0ubuntu0.12.10) quantal; urgency=low

  * New upstream release
    - Fixes DST dates in Morocco (LP: #1233054)

 -- Iain Lane <iain.lane@canonical.com>  Tue, 08 Oct 2013 10:15:42 +0100

tzdata (2013d-0ubuntu0.12.10) quantal; urgency=low

  * New upstream release
    - Fixes timezone data for Israel. LP: #1222345

 -- Margarita Manterola <marga@google.com>  Mon, 09 Sep 2013 11:54:57 +0200

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 VERSION := $(shell dpkg-parsechangelog | sed -e '/^Version/!d;s/^Version: //g;s/.*://g;s/-.*//g')
 EMDEBIAN := $(shell dpkg-parsechangelog | egrep '^Version: .*em[0-9]+')
 
-JHOME := /usr/lib/jvm/default-java/
+JHOME := $(wildcard /usr/lib/jvm/java-7-openjdk-$(DEB_HOST_ARCH)/ /usr/lib/jvm/java-7-openjdk/)
 
 TIMEZONES := africa \
              antarctica \
@@ -69,8 +69,18 @@
 	/usr/sbin/zic -d $(TZGEN) -p America/New_York
 
 	# Replace hardlinks by symlinks
-	rdfind -outputname /dev/null -makesymlinks true -removeidentinode false $(TZGEN)
-	symlinks -r -s -c $(TZGEN)
+	cd $(TZGEN) ; \
+	fdupes -1 -H -q -R . | while read line ; do \
+	  set -- $${line} ; \
+	  tgt="$${1##./}" ; \
+	  shift ; \
+	  while [ "$$#" != 0 ] ; do \
+	    link="$${1##./}" ; \
+	    reltgt="$$(echo $$link | sed -e 's,[^/]\+$$,,g' -e 's,[^/]\+,..,g')$${tgt}" ; \
+	    ln -sf $${reltgt} $${link} ; \
+	    shift ; \
+	  done ; \
+	done
 
 	# Generate a java version
 	$(JHOME)/bin/java -jar $(JHOME)/jre/lib/javazic.jar -V $(VERSION) -d $(TZGEN_JAVA) $(TIMEZONES) $(TIMEZONES_JAVA)
@@ -122,7 +132,7 @@
 install: build
 	dh_testdir
 	dh_testroot
-	dh_prep
+	dh_clean -k
 	# Do nothing
 
 # Build architecture-dependent files here.

## tzdata 2014e

=== debian/changelog ===
tzdata (2014e-0ubuntu0.13.10) saucy; urgency=high

  * New upstream release, with urgent timezone updates for
    Egypt on June 26 and Morocco on June 28 (LP: #1326902)

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 13 Jun 2014 18:05:19 -0600

tzdata (2014c-0ubuntu0.13.10) saucy; urgency=critical

  * New upstream release, critical urgency due to Egypt zone
    changes happening on May 15th, in two days (LP: #1319122)

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 13 May 2014 11:21:44 -0600

tzdata (2014a-0ubuntu0.13.10) saucy; urgency=medium

  * New upstream release, with updated Turkish DST (LP: #1290193)
  * Remove solar87, solar88, solar89, following upstream removal.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 13 Mar 2014 17:44:33 -0600

tzdata (2013g-0ubuntu1) saucy; urgency=low

  * New upstream release 2013g

 -- Iain Lane <iain.lane@canonical.com>  Mon, 07 Oct 2013 16:07:09 +0100

tzdata (2013d-1ubuntu1) saucy; urgency=low

  * Resynchronize with Debian, remaining diff:
  * debian/control, debian/rules:
    - build with current openjdk version
  * debian/control, debian/rules:
    - revert fdupes -> rdfind/symlinks from Debian, 
      those utilities are in universe

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 02 Aug 2013 10:20:06 +0200

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Section: libs
 Priority: required
 Build-Depends: debhelper (>= 5.0.0)
-Build-Depends-Indep: po-debconf, default-jre-headless, rdfind, symlinks
-Maintainer: GNU Libc Maintainers <debian-glibc@lists.debian.org>
-Uploaders: Clint Adams <clint@debian.org>, Aurelien Jarno <aurel32@debian.org>, Adam Conrad <adconrad@0c3.net>
+Build-Depends-Indep: po-debconf, openjdk-7-jre-headless, fdupes
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: GNU Libc Maintainers <debian-glibc@lists.debian.org>
+Uploaders: Clint Adams <clint@debian.org>, Aurelien Jarno <aurel32@debian.org>
 Standards-Version: 3.9.4
 Homepage: http://www.iana.org/time-zones

=== debian/rules ===
--- 
+++ 
@@ -132,7 +132,7 @@
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	# Do nothing
 
 # Build architecture-dependent files here.

## tzdata 2014g

=== debian/changelog ===
tzdata (2014g-1) unstable; urgency=medium

  * New upstream release.

 -- Adam Conrad <adconrad@0c3.net>  Sat, 30 Aug 2014 14:24:21 -0600

tzdata (2014f-1) unstable; urgency=medium

  [ Debconf translations ]
  * Turkish (Mert Dirik).  Closes: #756755

  [ Clint Adams ]
  * New upstream version.

 -- Clint Adams <clint@debian.org>  Fri, 08 Aug 2014 11:26:29 -0400

tzdata (2014e-1) unstable; urgency=high

  * New upstream release, with more Egypt zone changes in 13 days.
  * debian/control: Update our section to match archive overrides.
  * debian/control: Update Standards-Version to 3.9.5, no changes.

 -- Adam Conrad <adconrad@0c3.net>  Fri, 13 Jun 2014 16:02:45 -0600

tzdata (2014d-1) unstable; urgency=medium

  * New upstream release.

 -- Adam Conrad <adconrad@0c3.net>  Thu, 29 May 2014 05:57:38 -0600

tzdata (2014c-1) unstable; urgency=critical

  * New upstream release, critical urgency due to Egypt zone
    changes happening on May 15th (only two days from now).

 -- Adam Conrad <adconrad@0c3.net>  Tue, 13 May 2014 10:47:46 -0600

## tzdata 2014h

=== debian/changelog ===
tzdata (2014h-2) unstable; urgency=medium

  [ Debconf translations ]
  * Dutch (Frans Spiesscha).  Closes: #763458
  
  [ Aurelien Jarno ]
  * debian/control: Update Standards-Version to 3.9.6, no changes.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 07 Oct 2014 23:41:18 +0200

tzdata (2014h-1) unstable; urgency=medium

  * New upstream release. 

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 28 Sep 2014 20:29:16 +0200

## tzdata 2014j

=== debian/changelog ===
tzdata (2014j-0wheezy1) stable; urgency=medium

  * New upstream version.
    - New DST for Fiji.
    - Timezone change for Turks & Caicos.
    - New timezone for Bougainville (Papua New Guinea).
    - New timezone abbreviation for Belarus.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 04 Jan 2015 23:23:31 +0100

tzdata (2014h-0wheezy1) stable; urgency=medium

  * New upstream version.
    - New DST for Russia (closes: #761267).
    - Timezone change for Turks & Caicos.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 07 Oct 2014 22:54:07 +0200

tzdata (2014e-0wheezy1) stable; urgency=medium

  * New upstream version.
    - New DST for Egypt.
    - New DST for Morroco.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 15 Jun 2014 22:05:20 +0200

tzdata (2014c-0wheezy1) stable; urgency=medium

  * New upstream version.
    - New DST for Egypt.
    - Timezone change for Crimea.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 13 May 2014 21:58:08 +0200

## tzdata 2015a

=== debian/changelog ===
tzdata (2015a-1) unstable; urgency=medium

  * New upstream release.

 -- Clint Adams <clint@debian.org>  Fri, 30 Jan 2015 21:53:01 -0500

tzdata (2014j-1) unstable; urgency=high

  * New upstream release, with an ammendment for a change that was
    meant to occur ten days ago for America/Grand_Turk, but didn't.

 -- Adam Conrad <adconrad@0c3.net>  Wed, 12 Nov 2014 19:37:38 -0700

tzdata (2014i-1) unstable; urgency=critical

  * New upstream release with zone changes in 4 days for Belarus.

 -- Adam Conrad <adconrad@0c3.net>  Wed, 22 Oct 2014 16:31:47 -0600

## tzdata 2015b

=== debian/changelog ===
tzdata (2015b-1) unstable; urgency=high

  * New upstream release with urgent updates for Mongolia and Palestine.

 -- Adam Conrad <adconrad@0c3.net>  Sat, 21 Mar 2015 12:25:26 -0600

## tzdata 2015c

=== debian/changelog ===
tzdata (2015c-1) unstable; urgency=high

  * New upstream release, with an urgent change for Egypt in ten days.

 -- Adam Conrad <adconrad@0c3.net>  Tue, 14 Apr 2015 08:35:34 -0600

## tzdata 2015d

=== debian/changelog ===
tzdata (2015d-0ubuntu0.14.10) utopic; urgency=medium

  * New upstream release with yet another urgent DST change for Egypt.

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 26 Apr 2015 16:44:56 -0600

tzdata (2015c-0ubuntu0.14.10) utopic; urgency=medium

  * New upstream release, with an urgent change for Egypt this week.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 18 Apr 2015 10:18:56 -0600

tzdata (2015b-0ubuntu0.14.10) utopic; urgency=medium

  * Urgent updates for Palestine and Mongolia (LP: #1434089)

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 21 Mar 2015 12:49:10 -0600

tzdata (2015a-0ubuntu0.14.10) utopic; urgency=medium

  * New upstream release with several DST zone changes and
    a new leap second inserted at 2015-06-30 23:59:60 UTC.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 02 Feb 2015 06:40:25 -0700

tzdata (2014i-0ubuntu0.14.10) utopic; urgency=critical

  * New upstream release with zone changes in 4 days for Belarus.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 22 Oct 2014 17:22:43 -0600

## tzdata 2015e

=== debian/changelog ===
tzdata (2015e-0+deb8u1) stable; urgency=medium

  * New upstream version:
    - DST suspension from 2015-06-14 03:00 through 2015-07-19 02:00 in
      Morroco.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 16 Jun 2015 20:46:53 +0200

tzdata (2015d-0+deb8u1) stable; urgency=medium

  * New upstream version:
    - Remove DST rule for Egypt starting in 2015.
  * Install leap-seconds.list to /usr/share/zoneinfo (Closes: #775166)

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 27 Apr 2015 23:20:28 +0200

## tzdata 2015f

=== debian/changelog ===
tzdata (2015f-0+deb8u1) stable; urgency=medium

  * New upstream version, affecting the following future time stamps:
    - North Korea switches to +0830 on 2015-08-15.
    - Uruguay no longer observes DST.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 11 Aug 2015 20:29:38 +0200

## tzdata 2015g

=== debian/changelog ===
tzdata (2015g-0+deb6u1) squeeze-lts; urgency=medium

  * New upstream version:
    - Fiji
    - Fort Nelson, British Columbia
    - Norfolk Island
    - Turkey (closes: #801172)
    - North Korea switches to +0830 on 2015-08-15.
    - Uruguay no longer observes DST (closes: #801336).
    - DST suspension from 2015-06-14 03:00 through 2015-07-19 02:00 in
      Morroco.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 18 Oct 2015 18:46:00 +0200

tzdata (2015d-0+deb6u1) squeeze-lts; urgency=medium

  * New upstream version:
    - Remove DST rule for Egypt starting in 2015.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 27 Apr 2015 22:44:20 +0200

tzdata (2015c-0+deb6u1) squeeze-lts; urgency=medium

  * New upstream version:
    - DST rule fix for Egypt.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 16 Apr 2015 22:37:57 +0200

tzdata (2015b-0squeeze1) squeeze-lts; urgency=medium

  * New upstream version:
    - New leap second 2015-06-30 23:59:60 UTC (closes: #775161).
    - New DST for Mongolia.
    - New DST for Palestine.
    - New DST for Cancun (Mexico).
    - New DST for Chile.
    - New DST for Fiji.
    - Timezone change for Turks & Caicos.
    - New timezone for Bougainville (Papua New Guinea).
    - New timezone abbreviation for Belarus.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 22 Mar 2015 23:27:16 +0100

tzdata (2014h-0squeeze1) squeeze-lts; urgency=medium

  * New upstream version.
    - New DST for Russia (closes: #761267).
    - Timezone change for Turks & Caicos.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 21 Oct 2014 00:32:48 +0200

tzdata (2014e-0squeeze1) oldstable; urgency=medium

  * New upstream version.
    - New DST for Egypt.
    - New DST for Morroco.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 15 Jun 2014 22:24:07 +0200

tzdata (2014c-0squeeze1) oldstable; urgency=low

  * New upstream version.
    - New DST for Egypt.
    - Timezone change for Crimea.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 13 May 2014 22:04:55 +0200

tzdata (2014a-0squeeze1) oldstable; urgency=low

  * New upstream version.
    - New DST for Chile (closes: #741265), Fiji and Turkey (closes:
      #741523).

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 13 Mar 2014 23:05:38 +0100

tzdata (2013i-0squeeze1) oldstable; urgency=medium

  * New upstream version.
  * Remove solar87, solar88 and solar89 from the list of timezones, as
    they have been removed upstream.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 26 Jan 2014 21:43:42 +0100

tzdata (2013d-0squeeze1) oldstable; urgency=low

  * New upstream release

 -- Lior Kaplan <kaplan@debian.org>  Sun, 06 Oct 2013 01:33:18 +0200

tzdata (2013c-0squeeze1) oldstable; urgency=low

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Mon, 13 May 2013 17:19:51 -0400

tzdata (2012c-0squeeze1) stable; urgency=low

  * New upstream release.

 -- Clint Adams <clint@debian.org>  Fri, 04 May 2012 23:13:01 -0400

=== debian/control ===
Source: tzdata
Section: libs
Priority: required
Build-Depends: debhelper (>= 5.0.0)
Build-Depends-Indep: po-debconf, openjdk-6-jre-headless
Maintainer: GNU Libc Maintainers <debian-glibc@lists.debian.org>
Uploaders: Clint Adams <schizo@debian.org>, Aurelien Jarno <aurel32@debian.org>
Standards-Version: 3.9.1

Package: tzdata
Architecture: all
Depends: ${misc:Depends}, debconf | debconf-2.0
Replaces: libc0.1, libc0.3, libc6, libc6.1
Provides: tzdata-squeeze
Description: time zone and daylight-saving time data
 This package contains data required for the implementation of
 standard local time for many representative locations around the
 globe. It is updated periodically to reflect changes made by
 political bodies to time zone boundaries, UTC offsets, and
 daylight-saving rules.

Package: tzdata-java
Architecture: all
Section: java
Priority: optional
Depends: ${misc:Depends}, tzdata (= ${binary:Version})
Description: time zone and daylight-saving time data for use by java runtimes
 This package contains data required for the implementation of
 standard local time for many representative locations around the
 globe. It is updated periodically to reflect changes made by
 political bodies to time zone boundaries, UTC offsets, and
 daylight-saving rules.
 .
 This package contains the data for use by Java runtimes.

=== debian/watch ===
version=3
ftp://ftp.iana.org/tz/releases/tzdata(\w+)\.tar\.gz   \
    debian uupdate

## tzdata 2016c

=== debian/changelog ===
tzdata (2016c-0+deb8u1) stable; urgency=medium

  * New upstream version, affecting the following future time stamps:
    - America/Santiago
    - Asia/Baku

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 25 Mar 2016 23:58:54 +0100

tzdata (2016b-0+deb8u1) stable; urgency=medium

  * New upstream version, affecting the following future time stamps:
    - America/Cayman
    - America/Port-au-Prince
    - Asia/Chita
    - Asia/Gaza
    - Asia/Hebron
    - Asia/Tehran

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 14 Mar 2016 21:53:38 +0100

tzdata (2015g-0+deb8u1) stable; urgency=medium

  [ Aurelien Jarno ]
  * New upstream version, affecting the following future time stamps:
    - Fiji
    - Fort Nelson, British Columbia
    - Norfolk Island
    - Turkey (closes: #801172)

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 07 Oct 2015 16:06:53 +0200

## tzdata 2016d

=== Makefile ===
# This file is in the public domain, so clarified as of
# 2009-05-17 by Arthur David Olson.

# Package name for the code distribution.
PACKAGE=	tzcode

# Version numbers of the code and data distributions.
VERSION=	2016d

# Email address for bug reports.
BUGEMAIL=	tz@iana.org

# Change the line below for your time zone (after finding the zone you want in
# the time zone files, or adding it to a time zone file).
# Alternately, if you discover you've got the wrong time zone, you can just
#	zic -l rightzone
# to correct things.
# Use the command
#	make zonenames
# to get a list of the values you can use for LOCALTIME.

LOCALTIME=	GMT

# If you want something other than Eastern United States time as a template
# for handling POSIX-style time zone environment variables,
# change the line below (after finding the zone you want in the
# time zone files, or adding it to a time zone file).
# (When a POSIX-style environment variable is handled, the rules in the
# template file are used to determine "spring forward" and "fall back" days and
# times; the environment variable itself specifies UT offsets of standard and
# summer time.)
# Alternately, if you discover you've got the wrong time zone, you can just
#	zic -p rightzone
# to correct things.
# Use the command
#	make zonenames
# to get a list of the values you can use for POSIXRULES.
# If you want POSIX compatibility, use "America/New_York".

POSIXRULES=	America/New_York

# Also see TZDEFRULESTRING below, which takes effect only
# if the time zone files cannot be accessed.

# Everything gets put in subdirectories of. . .

TOPDIR=		/usr/local

# "Compiled" time zone information is placed in the "TZDIR" directory
# (and subdirectories).
# Use an absolute path name for TZDIR unless you're just testing the software.

TZDIR_BASENAME=	zoneinfo
TZDIR=		$(TOPDIR)/etc/$(TZDIR_BASENAME)

# Types to try, as an alternative to time_t.  int64_t should be first.
TIME_T_ALTERNATIVES= int64_t int32_t uint32_t uint64_t

# The "tzselect", "zic", and "zdump" commands get installed in. . .

ETCDIR=		$(TOPDIR)/etc

# If you "make INSTALL", the "date" command gets installed in. . .

BINDIR=		$(TOPDIR)/bin

# Manual pages go in subdirectories of. . .

MANDIR=		$(TOPDIR)/man

# Library functions are put in an archive in LIBDIR.

LIBDIR=		$(TOPDIR)/lib

# If you always want time values interpreted as "seconds since the epoch
# (not counting leap seconds)", use
#	REDO=		posix_only
# below.  If you always want right time values interpreted as "seconds since
# the epoch" (counting leap seconds)", use
#	REDO=		right_only
# below.  If you want both sets of data available, with leap seconds not
# counted normally, use
#	REDO=		posix_right
# below.  If you want both sets of data available, with leap seconds counted
# normally, use
#	REDO=		right_posix
# below.  POSIX mandates that leap seconds not be counted; for compatibility
# with it, use "posix_only" or "posix_right".

REDO=		posix_right

# If you want out-of-scope and often-wrong data from the file 'backzone', use
#	PACKRATDATA=	backzone
# To omit this data, use
#	PACKRATDATA=

PACKRATDATA=

# Since "." may not be in PATH...

YEARISTYPE=	./yearistype

# Non-default libraries needed to link.
# Add -lintl if you want to use 'gettext' on Solaris.
LDLIBS=

# Add the following to the end of the "CFLAGS=" line as needed.
#  -DBIG_BANG=-9999999LL if the Big Bang occurred at time -9999999 (see zic.c)
#  -DHAVE_DECL_ASCTIME_R=0 if <time.h> does not declare asctime_r
#  -DHAVE_DIRECT_H if mkdir needs <direct.h> (MS-Windows)
#  -DHAVE_DOS_FILE_NAMES if file names have drive specifiers etc. (MS-DOS)
#  -DHAVE_GETTEXT=1 if 'gettext' works (GNU, Linux, Solaris); also see LDLIBS
#  -DHAVE_INCOMPATIBLE_CTIME_R=1 if your system's time.h declares
#	ctime_r and asctime_r incompatibly with the POSIX standard (Solaris 8).
#  -DHAVE_INTTYPES_H=1 if you have a pre-C99 compiler with "inttypes.h"
#  -DHAVE_LINK=0 if your system lacks a link function
#  -DHAVE_LOCALTIME_R=0 if your system lacks a localtime_r function
#  -DHAVE_LOCALTIME_RZ=0 if you do not want zdump to use localtime_rz
#	This defaults to 1 if a working localtime_rz seems to be available.
#	localtime_rz can make zdump significantly faster, but is nonstandard.
#  -DHAVE_POSIX_DECLS=0 if your system's include files do not declare
#	functions like 'link' or variables like 'tzname' required by POSIX
#  -DHAVE_STDINT_H=1 if you have a pre-C99 compiler with "stdint.h"
#  -DHAVE_STRFTIME_L=1 if <time.h> declares locale_t and strftime_l
#	This defaults to 0 if _POSIX_VERSION < 200809, 1 otherwise.
#  -DHAVE_STRDUP=0 if your system lacks the strdup function
#  -DHAVE_SYMLINK=0 if your system lacks the symlink function
#  -DHAVE_SYS_STAT_H=0 if your compiler lacks a "sys/stat.h"
#  -DHAVE_SYS_WAIT_H=0 if your compiler lacks a "sys/wait.h"
#  -DHAVE_TZSET=0 if your system lacks a tzset function
#  -DHAVE_UNISTD_H=0 if your compiler lacks a "unistd.h" (Microsoft C++ 7?)
#  -DNO_RUN_TIME_WARNINGS_ABOUT_YEAR_2000_PROBLEMS_THANK_YOU=1
#	if you do not want run time warnings about formats that may cause
#	year 2000 grief
#  -Dssize_t=long on ancient hosts that lack ssize_t
#  -DTHREAD_SAFE=1 to make localtime.c thread-safe, as POSIX requires;
#	not needed by the main-program tz code, which is single-threaded.
#	Append other compiler flags as needed, e.g., -pthread on GNU/Linux.
#  -Dtime_tz=\"T\" to use T as the time_t type, rather than the system time_t
#  -DTZ_DOMAIN=\"foo\" to use "foo" for gettext domain name; default is "tz"
#  -DTZ_DOMAINDIR=\"/path\" to use "/path" for gettext directory;
#	the default is system-supplied, typically "/usr/lib/locale"
#  -DTZDEFRULESTRING=\",date/time,date/time\" to default to the specified
#	DST transitions if the time zone files cannot be accessed
#  -DUNINIT_TRAP=1 if reading uninitialized storage can cause problems
#	other than simply getting garbage data
#  -DUSE_LTZ=0 to build zdump with the system time zone library
#	Also set TZDOBJS=zdump.o and CHECK_TIME_T_ALTERNATIVES= below.
#  -DZIC_MAX_ABBR_LEN_WO_WARN=3
#	(or some other number) to set the maximum time zone abbreviation length
#	that zic will accept without a warning (the default is 6)
#  $(GCC_DEBUG_FLAGS) if you are using recent GCC and want lots of checking
GCC_DEBUG_FLAGS = -Dlint -g3 -O3 -fno-common -fstrict-aliasing \
	-Wall -Wextra \
	-Wbad-function-cast -Wcast-align -Wdate-time \
	-Wdeclaration-after-statement \
	-Wdouble-promotion \
	-Wformat=2 -Winit-self -Wjump-misses-init \
	-Wlogical-op -Wmissing-prototypes -Wnested-externs \
	-Wold-style-definition -Woverlength-strings -Wpointer-arith \
	-Wshadow -Wstrict-prototypes -Wsuggest-attribute=const \
	-Wsuggest-attribute=format -Wsuggest-attribute=noreturn \
	-Wsuggest-attribute=pure -Wtrampolines \
	-Wunused -Wwrite-strings \
	-Wno-address -Wno-format-nonliteral -Wno-sign-compare \
	-Wno-type-limits -Wno-unused-parameter
#
# If you want to use System V compatibility code, add
#	-DUSG_COMPAT
# to the end of the "CFLAGS=" line.  This arrange for "timezone" and "daylight"
# variables to be kept up-to-date by the time conversion functions.  Neither
# "timezone" nor "daylight" is described in X3J11's work.
#
# If your system has a "GMT offset" field in its "struct tm"s
# (or if you decide to add such a field in your system's "time.h" file),
# add the name to a define such as
#	-DTM_GMTOFF=tm_gmtoff
# to the end of the "CFLAGS=" line.  If not defined, the code attempts to
# guess TM_GMTOFF from other macros; define NO_TM_GMTOFF to suppress this.
# Similarly, if your system has a "zone abbreviation" field, define
#	-DTM_ZONE=tm_zone
# and define NO_TM_ZONE to suppress any guessing.  These two fields are not
# required by POSIX, but are widely available on GNU/Linux and BSD systems.
#
# If you want functions that were inspired by early versions of X3J11's work,
# add
#	-DSTD_INSPIRED
# to the end of the "CFLAGS=" line.  This arranges for the functions
# "tzsetwall", "offtime", "timelocal", "timegm", "timeoff",
# "posix2time", and "time2posix" to be added to the time conversion library.
# "tzsetwall" is like "tzset" except that it arranges for local wall clock
# time (rather than the time specified in the TZ environment variable)
# to be used.
# "offtime" is like "gmtime" except that it accepts a second (long) argument
# that gives an offset to add to the time_t when converting it.
# "timelocal" is equivalent to "mktime".
# "timegm" is like "timelocal" except that it turns a struct tm into
# a time_t using UT (rather than local time as "timelocal" does).
# "timeoff" is like "timegm" except that it accepts a second (long) argument
# that gives an offset to use when converting to a time_t.
# "posix2time" and "time2posix" are described in an included manual page.
# X3J11's work does not describe any of these functions.
# Sun has provided "tzsetwall", "timelocal", and "timegm" in SunOS 4.0.
# These functions may well disappear in future releases of the time
# conversion package.
#
# If you don't want functions that were inspired by NetBSD, add
#	-DNETBSD_INSPIRED=0
# to the end of the "CFLAGS=" line.  Otherwise, the functions
# "localtime_rz", "mktime_z", "tzalloc", and "tzfree" are added to the
# time library, and if STD_INSPIRED is also defined the functions
# "posix2time_z" and "time2posix_z" are added as well.
# The functions ending in "_z" (or "_rz") are like their unsuffixed
# (or suffixed-by-"_r") counterparts, except with an extra first
# argument of opaque type timezone_t that specifies the time zone.
# "tzalloc" allocates a timezone_t value, and "tzfree" frees it.
#
# If you want to allocate state structures in localtime, add
#	-DALL_STATE
# to the end of the "CFLAGS=" line.  Storage is obtained by calling malloc.
#
# If you want an "altzone" variable (a la System V Release 3.1), add
#	-DALTZONE
# to the end of the "CFLAGS=" line.
# This variable is not described in X3J11's work.
#
# NIST-PCTS:151-2, Version 1.4, (1993-12-03) is a test suite put
# out by the National Institute of Standards and Technology
# which claims to test C and Posix conformance.  If you want to pass PCTS, add
#	-DPCTS
# to the end of the "CFLAGS=" line.
#
# If you want strict compliance with XPG4 as of 1994-04-09, add
#	-DXPG4_1994_04_09
# to the end of the "CFLAGS=" line.  This causes "strftime" to always return
# 53 as a week number (rather than 52 or 53) for those days in January that
# before the first Monday in January when a "%V" format is used and January 1
# falls on a Friday, Saturday, or Sunday.

CFLAGS=

# Linker flags.  Default to $(LFLAGS) for backwards compatibility
# to tzcode2012h and earlier.

LDFLAGS=	$(LFLAGS)

# For leap seconds, this Makefile uses LEAPSECONDS='-L leapseconds' in
# submake command lines.  The default is no leap seconds.

LEAPSECONDS=

# The zic command and its arguments.

zic=		./zic
ZIC=		$(zic) $(ZFLAGS)

ZFLAGS=

# How to use zic to install tzdata binary files.

ZIC_INSTALL=	$(ZIC) -y $(YEARISTYPE) -d $(DESTDIR)$(TZDIR) $(LEAPSECONDS)

# The name of a Posix-compliant 'awk' on your system.
AWK=		awk

# The full path name of a Posix-compliant shell, preferably one that supports
# the Korn shell's 'select' statement as an extension.
# These days, Bash is the most popular.
# It should be OK to set this to /bin/sh, on platforms where /bin/sh
# lacks 'select' or doesn't completely conform to Posix, but /bin/bash
# is typically nicer if it works.
KSHELL=		/bin/bash

# The path where SGML DTDs are kept and the catalog file(s) to use when
# validating.  The default is appropriate for Ubuntu 13.10.
SGML_TOPDIR= /usr
SGML_DTDDIR= $(SGML_TOPDIR)/share/xml/w3c-sgml-lib/schema/dtd
SGML_SEARCH_PATH= $(SGML_DTDDIR)/REC-html401-19991224
SGML_CATALOG_FILES= \
  $(SGML_TOPDIR)/share/doc/w3-recs/html/www.w3.org/TR/1999/REC-html401-19991224/HTML4.cat

# The name, arguments and environment of a program to validate your web pages.
# See <http://www.jclark.com/sp/> for a validator, and

=== debian/changelog ===
tzdata (2016d-0ubuntu0.16.04) xenial; urgency=medium

  * New upstream, affecting America/Caracas, Asia/Magadan, Asia/Tomsk.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 20 Apr 2016 12:01:30 -0600

tzdata (2016c-1) unstable; urgency=medium

  * New upstream version, affecting the following future time stamps:
    - America/Santiago
    - Asia/Baku

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 25 Mar 2016 23:19:01 +0100

tzdata (2016b-1) unstable; urgency=medium

  * New upstream version, affecting the following future time stamps:
    - America/Port-au-Prince
    - Asia/Gaza
    - Asia/Hebron
  * debian/rules: remove emdebian ifdefs.
  * debian/compat, debian/control, debian/rules: rewrite using dh and
    debhelper compatibility 9.
  * Update French debconf translation, by Christian Perrier.  Closes:
    #814831.
  * Update Japanese debconf translation, by Takuma Yamada.  Closes:
    #815386.
  * Drop the tzdata-java package.  Closes: #814073.
  * debian/control: Update Standards-Version to 3.9.7, no changes.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 14 Mar 2016 21:45:24 +0100

tzdata (2016a-1) unstable; urgency=medium

  [ Aurelien Jarno ]
  * Add Vcs-Git and Vcs-Browser fields to debian/control.
  * New upstream version, affecting the following future time stamps:
    - America/Cayman
    - Asia/Chita
    - Asia Tehran
  * Change /etc/localtime into a symlink (closes: #803144)

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 29 Jan 2016 17:26:32 +0100

tzdata (2015g-1) unstable; urgency=medium

  [ Aurelien Jarno ]
  * New upstream version, affecting the following future time stamps:
    - Fiji
    - Fort Nelson, British Columbia
    - Norfolk Island
    - Turkey (closes: #801172)

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 07 Oct 2015 15:51:25 +0200

tzdata (2015f-1) unstable; urgency=high

  [ Aurelien Jarno ]
  * New upstream version, affecting the following future time stamps:
    - North Korea switches to +0830 on 2015-08-15.
    - Uruguay no longer observes DST.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 11 Aug 2015 19:56:35 +0200

tzdata (2015e-1) unstable; urgency=medium

  [ Aurelien Jarno ]
  * New upstream version:
    - DST suspension from 2015-06-14 03:00 through 2015-07-19 02:00 in
      Morroco.
  * Change the Provides: to tzdata-stretch from tzdata-jessie.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 16 Jun 2015 20:38:21 +0200

tzdata (2015d-1) unstable; urgency=medium

  [ Adam Conrad ]
  * New upstream release with yet another urgent DST change for Egypt.
  * Install leap-seconds.list to /usr/share/zoneinfo (Closes: #775166)

  [ Aurelien Jarno ]
  * Install zone1970.tab.  Closes: #782646.

 -- Adam Conrad <adconrad@0c3.net>  Sun, 26 Apr 2015 23:17:21 +0100

=== debian/control ===
Source: tzdata
Section: localization
Priority: required
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: po-debconf, rdfind, symlinks
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: GNU Libc Maintainers <debian-glibc@lists.debian.org>
Uploaders: Clint Adams <clint@debian.org>, Aurelien Jarno <aurel32@debian.org>, Adam Conrad <adconrad@0c3.net>
Standards-Version: 3.9.7
Homepage: http://www.iana.org/time-zones
Vcs-Git: https://anonscm.debian.org/git/pkg-glibc/tzdata.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-glibc/tzdata.git

Package: tzdata
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, debconf | debconf-2.0
Replaces: libc0.1, libc0.3, libc6, libc6.1
Provides: tzdata-stretch
Description: time zone and daylight-saving time data
 This package contains data required for the implementation of
 standard local time for many representative locations around the
 globe. It is updated periodically to reflect changes made by
 political bodies to time zone boundaries, UTC offsets, and
 daylight-saving rules.

=== debian/rules ===
#!/usr/bin/make -f

export LC_ALL=C

TZGEN := $(CURDIR)/tzgen
VERSION := $(shell dpkg-parsechangelog | sed -e '/^Version/!d;s/^Version: //g;s/.*://g;s/-.*//g')

TIMEZONES := africa \
             antarctica \
             asia \
             australasia \
             europe \
             northamerica \
             southamerica \
             etcetera \
             factory \
             backward \
             systemv \
	     pacificnew

TEMPLATES_FILE := $(CURDIR)/debian/tzdata.templates
TEMPLATES_AREAS := Africa \
                   America \
		   Antarctica \
		   Australia \
		   Arctic \
		   Asia \
		   Atlantic \
		   Europe \
		   Indian \
		   Pacific \
		   SystemV \
		   US \
		   Etc

%:
	dh $@

override_dh_auto_build-indep:
	# Build the "default" version
	for zone in $(TIMEZONES); do \
	  /usr/sbin/zic -d $(TZGEN) -L /dev/null -y yearistype.sh $${zone} ; \
	  /usr/sbin/zic -d $(TZGEN)/posix -L /dev/null -y yearistype.sh $${zone} ; \
	  /usr/sbin/zic -d $(TZGEN)/right -L leapseconds -y $(TZGEN)/yearistype.sh $${zone} ; \
	done

	# Generate a posixrules file
	/usr/sbin/zic -d $(TZGEN) -p America/New_York

	# Replace hardlinks by symlinks
	rdfind -outputname /dev/null -makesymlinks true -removeidentinode false $(TZGEN)
	symlinks -r -s -c $(TZGEN)

	# Generate the templates file
	( echo "Template: tzdata/Areas" ; \
	echo "Type: select" ; \
	echo "# Note to translators:" ; \
	echo "# - \"Etc\" will present users with a list" ; \
	echo "#    of \"GMT+xx\" or \"GMT-xx\" timezones" ; \
	echo "# - SystemV will give the choice between zone named as per SystemV conventions:" ; \
	echo "#   EST5, MST7, etc." ; \
	echo -n "__Choices: " ; \
	echo "$(TEMPLATES_AREAS)" | sed -e 's# #, #g' -e 's#, $$##' ; \
	echo "_Description: Geographic area:" ; \
	echo " Please select the geographic area in which you live. Subsequent" ; \
	echo " configuration questions will narrow this down by presenting a list of" ; \
	echo " cities, representing the time zones in which they are located." ; \
	echo ; \
	for i in $(TEMPLATES_AREAS) ; do \
	    echo "Template: tzdata/Zones/$$i" ; \
	    echo "Type: select" ; \
	    echo "# Translators: do not translate underscores. You can use spaces instead." ; \
	    if [ "$$i" = "Etc" ] || [ "$$i" = "SystemV" ] ; then \
		    echo -n "Choices: " ; \
	    else \
		    echo -n "__Choices: " ; \
	    fi ; \
	    cd $(CURDIR)/tzgen/$$i ; \
	    find . -maxdepth 2 -type f -o -type l | sed -e 's#^\./##' | \
	    	egrep -v '^(Ashkhabad|Chungking|Dacca|Macao|Thimbu|Ulan_Bator|Faeroe|ACT|LHI|NSW|North|Queensland|South|Tasmania|Victoria|West|Argentina/ComodRivadavia|Buenos_Aires|Catamarca|Cordoba|Jujuy|Mendoza|Rosario|Louisville|Fort_Wayne|Indianapolis|Knox_IN|East-Indiana|East-Starke|Asmera|South_Pole|Saigon|Calcutta|Katmandu)$$' | \
		sort -n | tr '\n' ',' | sed -e 's#,#, #g' -e 's#, $$#\n#' ; \
	    echo "_Description: Time zone:" ; \
	    echo " Please select the city or region corresponding to your time zone." ; \
	    echo ; \
	done ) > $(TEMPLATES_FILE)
	debconf-updatepo

override_dh_auto_test:
	# The upstream tests are related to the sources. Just skip it.

override_dh_auto_install:
	# Nothing to do.

override_dh_auto_clean:
	-rm -rf $(TZGEN)
	dh_auto_clean

## tzdata 2016e

=== debian/changelog ===
tzdata (2016e-0+deb8u1) stable; urgency=medium

  * New upstream version, affecting the following future time stamp:
    - Africa/Cairo
  * Update translations from the sid package.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 26 Jun 2016 15:12:06 +0200

tzdata (2016d-0+deb8u1) stable; urgency=medium

  * New upstream version, affecting the following future time stamps:
    - America/Caracas.  Closes: #821147.
    - Asia/Magadan
    - Asia/Tomsk (new timezone).
  * Update translations from the sid package.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 22 Apr 2016 15:32:01 +0200

## tzdata 2016f

=== debian/changelog ===
tzdata (2016f-0ubuntu0.15.10) wily; urgency=medium

  * New upstream release, reverting DST change for Africa/Cairo,
    and updating Asia/Novosibirsk to +07 on 2016-07-24 at 02:00.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 05 Jul 2016 12:03:08 -0600

tzdata (2016e-0ubuntu0.15.10) wily; urgency=medium

  * New upstream release, with changes to DST in Africa/Cairo on July 7.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 05 Jul 2016 07:55:39 -0600

tzdata (2016d-0ubuntu0.15.10) wily; urgency=medium

  * New upstream, affecting America/Caracas, Asia/Magadan, Asia/Tomsk.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 20 Apr 2016 12:01:30 -0600

tzdata (2016c-0ubuntu0.15.10) wily; urgency=medium

  * New upstream, with future changes to Azerbaijan and Chile (LP: #1562465)

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 29 Mar 2016 00:53:47 -0600

tzdata (2016b-0ubuntu0.15.10) wily; urgency=medium

  * New upstream, with changes up to 2016b (LP: #1539491, #1557359)

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 20 Mar 2016 11:15:49 -0600

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,13 @@
 Source: tzdata
 Section: localization
 Priority: required
-Build-Depends: debhelper (>= 9)
-Build-Depends-Indep: po-debconf, rdfind, symlinks
+Build-Depends: debhelper (>= 5.0.0)
+Build-Depends-Indep: po-debconf, default-jre-headless, rdfind, symlinks
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: GNU Libc Maintainers <debian-glibc@lists.debian.org>
 Uploaders: Clint Adams <clint@debian.org>, Aurelien Jarno <aurel32@debian.org>, Adam Conrad <adconrad@0c3.net>
-Standards-Version: 3.9.7
+Standards-Version: 3.9.6
 Homepage: http://www.iana.org/time-zones
-Vcs-Git: https://anonscm.debian.org/git/pkg-glibc/tzdata.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-glibc/tzdata.git
 
 Package: tzdata
 Architecture: all
@@ -23,3 +21,18 @@
  globe. It is updated periodically to reflect changes made by
  political bodies to time zone boundaries, UTC offsets, and
  daylight-saving rules.
+
+Package: tzdata-java
+Architecture: all
+Section: java
+Priority: optional
+Multi-Arch: foreign
+Depends: ${misc:Depends}, tzdata (= ${binary:Version})
+Description: time zone and daylight-saving time data for use by java runtimes
+ This package contains data required for the implementation of
+ standard local time for many representative locations around the
+ globe. It is updated periodically to reflect changes made by
+ political bodies to time zone boundaries, UTC offsets, and
+ daylight-saving rules.
+ .
+ This package contains the data for use by Java runtimes.

## tzdata 2016g

=== debian/changelog ===
tzdata (2016g-1) unstable; urgency=medium

  [ Aurelien Jarno ]
  * Update Danish debconf translation, by Joe Hansen.  Closes: #830591.
  * Update German debconf translation, by Holger Wansing.  Closes: #835538.

  [ Clint Adams ]
  * New upstream version.

 -- Clint Adams <clint@debian.org>  Thu, 22 Sep 2016 16:08:33 -0400

tzdata (2016f-1) unstable; urgency=medium

  * New upstream version, affecting the following future time stamp:
    - Africa/Cairo (DST starting on 2016-07-07 cancelled).
    - Asia/Novosibirsk (on 2016-07-24).
  * debian/control: Update Standards-Version to 3.9.8, no changes.
  * debian/rules: install NEWS as upstream changelog.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 05 Jul 2016 19:35:18 +0200

tzdata (2016e-1) unstable; urgency=medium

  * New upstream version, affecting the following future time stamp:
    Africa/Cairo
  * Update Dutch debconf translation, by Frans Spiesschaert.  Closes:
    #823442.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 26 Jun 2016 14:34:16 +0200

tzdata (2016d-2) unstable; urgency=medium

  * Update Japanese debconf translation, by Takuma Yamada.  Closes:
    #819599.
  * Update French debconf translation, by Christian Perrier.  Closes:
    #819949.
  * Update Dutch debconf translation, by Frans Spiesschaert.  Closes:
    #821439.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 21 Apr 2016 13:04:30 +0200

tzdata (2016d-1) unstable; urgency=medium

  * New upstream version, affecting the following future time stamps:
    - America/Caracas.  Closes: #821147.
    - Asia/Magadan
    - Asia/Tomsk (new timezone).
  * Update templates and translations.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 20 Apr 2016 20:37:29 +0200

## tzdata 2016h

=== debian/changelog ===
tzdata (2016h-0+deb8u1) stable; urgency=medium

  * New upstream version, affecting the following future timestamp:
    - Asia/Gaza and Asia/Hebron (DST ending on 2016-10-29 at 01:00, not
      2016-10-21 at 00:00).

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 21 Oct 2016 01:19:52 +0200

tzdata (2016g-0+deb8u1) stable; urgency=medium

  * New upstream version, affecting the following future time stamps:
    - Europe/Istanbul switch from EET/EEST (+02/+03) to permanent +03 on
      2016-09-07. While the timezone has changed, the divergence from
      EET/EEST will happen on 2016-10-30.  Closes: #838781.
    - New leap second 2016-12-31 23:59:60 UTC as per IERS Bulletin C 52.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 27 Sep 2016 23:50:25 +0200

tzdata (2016f-0+deb8u1) stable; urgency=medium

  * New upstream version, affecting the following future time stamps:
    - Africa/Cairo (DST starting on 2016-07-07 cancelled).
    - Asia/Novosibirsk (on 2016-07-24)

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 05 Jul 2016 20:12:43 +0200

## tzdata 2016i

=== debian/changelog ===
tzdata (2016i-0+deb8u1) stable; urgency=medium

  * New upstream version, affecting the following past and future timestamps:
    - Pacific/Tongatapu (DST starting on 2016-11-06 at 02:00).
    - Northern Cyprus is now +03 year round, the Asia/Famagusta zone has
      been added.
    - Antarctica/Casey (switched from +08 to +11 on 2016-10-22).
  * Update translations from the sid package.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 06 Nov 2016 01:18:16 +0100
